Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1509599

Summary: dracut outputs images to incorrect location
Product: [Fedora] Fedora Reporter: Kyle Marek <psppsn96>
Component: dracutAssignee: dracut-maint-list
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: daniell1, dracut-maint-list, jonathan, mihai, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: dracut-046-3.1.fc26 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-11-15 20:16:33 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Kyle Marek 2017-11-05 02:07:19 UTC
Description of problem:
When specifying only a kernel version, dracut used to (Fedora 25) output to /boot/initramfs-<kernel version>.img, like the manual says, but now (Fedora 26), it ouputs to /boot/<some uuid>/<kernel version>/initrd

This makes `dracut --force --regenerate-all` unusable to immediately update all initrds for some system change.

Version-Release number of selected component (if applicable):
dracut-046-2.git20170811.fc26.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Run `sudo dracut --force --regenerate-all -v` and watch output filenames

Actual results:
dracut: *** Creating initramfs image file '/boot/1678929901f946888e479f6fe0aa224b/4.13.10-200.fc26.x86_64/initrd' done ***

Expected results:
dracut: *** Creating initramfs image file '/boot/initramfs-4.13.10-200.fc26.x86_64.img' done ***

Additional info:
Tested on fresh install of Fedora 26 "Minimal install" from network install disk <https://download.fedoraproject.org/pub/fedora/linux/releases/26/Everything/x86_64/iso/Fedora-Everything-netinst-x86_64-26-1.5.iso>.
While the path being used *could* be used during boot, GRUB2 configurations are not generated to use these paths.

Thus, the following commands will not successfully rebuild configurations to reflect changes in initrd or kernel cmdline configuration:
sudo dracut --force --regenerate-all
sudo grub2-mkconfig -o /etc/grub2.cfg # or grub2-efi.cfg

Comment 1 Fedora Update System 2017-11-06 10:39:50 UTC
dracut-046-3.1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-06960877d0

Comment 2 Kyle Marek 2017-11-06 22:41:04 UTC
The pending update fixes the output location, and the VM boots. I did not go through any extensive testing of the dracut modules.

$ sudo dracut --force --regenerate-all -v
. . .
dracut: *** Creating initramfs image file '/boot/initramfs-4.13.10-200.fc26.x86_64.img' done ***

Comment 3 Fedora Update System 2017-11-07 00:11:49 UTC
dracut-046-3.1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-06960877d0

Comment 4 Fedora Update System 2017-11-15 20:16:33 UTC
dracut-046-3.1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.